Package org.pgpainless.decryption_verification

# Class DecryptionBuilder

java.lang.Object
org.pgpainless.decryption_verification.DecryptionBuilder

All Implemented Interfaces:
  `DecryptionBuilderInterface`

public class DecryptionBuilder extends Object implements DecryptionBuilderInterface
Builder class that takes an `InputStream` of ciphertext (or plaintext signed data) and combines it with a configured `ConsumerOptions` object to form a `DecryptionStream` which can be used to decrypt an OpenPGP message or verify signatures.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.pgpainless.decryption_verification.DecryptionBuilderInterface

`DecryptionBuilderInterface.DecryptWith`

## Constructor Summary

Constructors
Constructor
Description
`DecryptionBuilder()`

## Method Summary

Modifier and Type
Method
Description
`DecryptionBuilderInterface.DecryptWith`
`onInputStream(InputStream inputStream)`
Create a `DecryptionStream` on an `InputStream` which contains the encrypted and/or signed data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DecryptionBuilder

public DecryptionBuilder()

## Method Details

### onInputStream

public DecryptionBuilderInterface.DecryptWith onInputStream(@Nonnull InputStream inputStream)
Description copied from interface: `DecryptionBuilderInterface`
Create a `DecryptionStream` on an `InputStream` which contains the encrypted and/or signed data.

Specified by:
  `onInputStream` in interface `DecryptionBuilderInterface`
Parameters:
  `inputStream` - encrypted and/or signed data.
Returns:
  api handle